<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-412"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20NSString%28KOExtension%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: NSString(KOExtension)分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_n_s_string_07_k_o_extension_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> |
<a href="#pub-static-methods">类方法</a> |
<a href="category_n_s_string_07_k_o_extension_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">NSString(KOExtension)分类 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_n_s_string_09_k_o_extension_8h_source.html">NSString+KOExtension.h</a>&gt;</code></p>
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:ad45c8ef8c7d72b310447ae109ab62fcd"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#ad45c8ef8c7d72b310447ae109ab62fcd">hasSubString:</a></td></tr>
<tr class="separator:ad45c8ef8c7d72b310447ae109ab62fcd"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aaae452f4bc1e18a9487b4801f6a40e6c"><td class="memItemLeft" align="right" valign="top">(CGSize)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#aaae452f4bc1e18a9487b4801f6a40e6c">sizeWithWidth:font:</a></td></tr>
<tr class="separator:aaae452f4bc1e18a9487b4801f6a40e6c"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aedb6c7de0cc77da8301cf231f418e277"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#aedb6c7de0cc77da8301cf231f418e277">checkPhoneNumInput</a></td></tr>
<tr class="separator:aedb6c7de0cc77da8301cf231f418e277"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aa54b4c7ca3025244bd580caff66ff236"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#aa54b4c7ca3025244bd580caff66ff236">isChinese</a></td></tr>
<tr class="separator:aa54b4c7ca3025244bd580caff66ff236"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a827efdb04766f1a3899f5082ee491379"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#a827efdb04766f1a3899f5082ee491379">includeChinese</a></td></tr>
<tr class="separator:a827efdb04766f1a3899f5082ee491379"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab5147695ef936e19b2e0bd527f31f644"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#ab5147695ef936e19b2e0bd527f31f644">isHaveEmptyString</a></td></tr>
<tr class="separator:ab5147695ef936e19b2e0bd527f31f644"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ad448bc6cedc3dd363590d877f47eb455"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#ad448bc6cedc3dd363590d877f47eb455">isHaveNewlineString</a></td></tr>
<tr class="separator:ad448bc6cedc3dd363590d877f47eb455"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a842aca59fb1dfbb8a767b68e2c262586"><td class="memItemLeft" align="right" valign="top">(BOOL)&nbsp;</td><td class="memItemRight" valign="bottom">- <a class="el" href="category_n_s_string_07_k_o_extension_08.html#a842aca59fb1dfbb8a767b68e2c262586">isNumber</a></td></tr>
<tr class="separator:a842aca59fb1dfbb8a767b68e2c262586"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table><table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
类方法</h2></td></tr>
<tr class="memitem:a5ef58fa08f5fde820f1ec562f4f86c12"><td class="memItemLeft" align="right" valign="top">(NSString *)&nbsp;</td><td class="memItemRight" valign="bottom">+ <a class="el" href="category_n_s_string_07_k_o_extension_08.html#a5ef58fa08f5fde820f1ec562f4f86c12">phoneNumRegexp</a></td></tr>
<tr class="separator:a5ef58fa08f5fde820f1ec562f4f86c12"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">函数文档</h2>
<a id="aedb6c7de0cc77da8301cf231f418e277"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aedb6c7de0cc77da8301cf231f418e277">◆&nbsp;</a></span>checkPhoneNumInput</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) checkPhoneNumInput </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad45c8ef8c7d72b310447ae109ab62fcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad45c8ef8c7d72b310447ae109ab62fcd">◆&nbsp;</a></span>hasSubString:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) hasSubString: </td>
          <td></td>
          <td class="paramtype">(NSString *)&nbsp;</td>
          <td class="paramname"><em>subString</em></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a827efdb04766f1a3899f5082ee491379"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a827efdb04766f1a3899f5082ee491379">◆&nbsp;</a></span>includeChinese</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) includeChinese </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aa54b4c7ca3025244bd580caff66ff236"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa54b4c7ca3025244bd580caff66ff236">◆&nbsp;</a></span>isChinese</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isChinese </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ab5147695ef936e19b2e0bd527f31f644"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab5147695ef936e19b2e0bd527f31f644">◆&nbsp;</a></span>isHaveEmptyString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isHaveEmptyString </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="ad448bc6cedc3dd363590d877f47eb455"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad448bc6cedc3dd363590d877f47eb455">◆&nbsp;</a></span>isHaveNewlineString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isHaveNewlineString </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a842aca59fb1dfbb8a767b68e2c262586"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a842aca59fb1dfbb8a767b68e2c262586">◆&nbsp;</a></span>isNumber</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isNumber </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="a5ef58fa08f5fde820f1ec562f4f86c12"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ef58fa08f5fde820f1ec562f4f86c12">◆&nbsp;</a></span>phoneNumRegexp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">+ (NSString *) phoneNumRegexp </td>
          <td></td>
          <td class="paramname"></td>
          <td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<a id="aaae452f4bc1e18a9487b4801f6a40e6c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaae452f4bc1e18a9487b4801f6a40e6c">◆&nbsp;</a></span>sizeWithWidth:font:</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGSize) sizeWithWidth: </td>
          <td></td>
          <td class="paramtype">(CGFloat)&nbsp;</td>
          <td class="paramname"><em>width</em></td>
        </tr>
        <tr>
          <td class="paramkey">font:</td>
          <td></td>
          <td class="paramtype">(UIFont *)&nbsp;</td>
          <td class="paramname"><em>font</em>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </tbody></table>
</div><div class="memdoc">

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_k_o_extension_8h_source.html">NSString+KOExtension.h</a></li>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/General/Category/<a class="el" href="_n_s_string_09_k_o_extension_8m.html">NSString+KOExtension.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_n_s_string_07_k_o_extension_08.html">NSString(KOExtension)</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>